package com.acme.view;

import javax.ejb.EJB;
import javax.faces.bean.*;

import com.acme.ejb.*;

@ManagedBean
@ViewScoped
public class UserManager
{
	private User user;
	private String message;
	
	@EJB
	private GreetingManager greetingManager;
	
	public UserManager()
	{
		this.user = new User();
	}
	
	/**
	 * @return the user
	 */
	public User getUser()
	{
		return user;
	}

	/**
	 * @param user the user to set
	 */
	public void setUser(User user)
	{
		this.user = user;
	}

	/**
	 * @return the message
	 */
	public String getMessage()
	{
		return message;
	}

	/**
	 * @param message the message to set
	 */
	public void setMessage(String message)
	{
		this.message = message;
	}

	public String greetUser()
	{
		message = greetingManager.greet(user.getUserName());
		return null;
	}
	
}
